Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1563632 - can't switch user when accessing the engine with an active kerberos ticket
Summary: can't switch user when accessing the engine with an active kerberos ticket
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 4.2.2
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ovirt-4.2.3
: ---
Assignee: Ravi Nori
QA Contact: Petr Matyáš
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-04 11:21 UTC by Sandro Bonazzola
Modified: 2019-05-16 13:08 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-15 17:48:31 UTC
oVirt Team: Infra
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2018:1488 0 None None None 2018-05-15 17:50:38 UTC
oVirt gerrit 89872 0 master MERGED aaa: can't switch user when accessing the engine with an active kerberos ticket 2020-03-09 13:38:46 UTC
oVirt gerrit 89886 0 ovirt-engine-4.2 MERGED aaa: can't switch user when accessing the engine with an active kerberos ticket 2020-03-09 13:38:47 UTC
oVirt gerrit 89902 0 master MERGED aaa: Check for null scope while extracting login sequence 2020-03-09 13:38:47 UTC

Comment 2 Martin Perina 2018-04-04 17:39:11 UTC
Ravi, switch user functionality is not related to authentication performed by Apache (Kerberos, SAML, CAS, ...), right? Switch user works only for username/password authentication within oVirt SSO, right?

Comment 4 Ravi Nori 2018-04-05 13:34:09 UTC
Posted a patch to fix the issue, the user should be able to switch user even with a valid Kerberos ticket.

Comment 5 Sandro Bonazzola 2018-04-05 14:30:00 UTC
(In reply to Ravi Nori from comment #4)
> Posted a patch to fix the issue, the user should be able to switch user even
> with a valid Kerberos ticket.

Can you please add the gerrit reference to this bug?
Looks like automation@ovirt.org failed to do so.
Also, please open a ticket on oVirt infra about this, so they can fix it.

Comment 7 Petr Matyáš 2018-04-16 08:03:20 UTC
Verified on ovirt-engine-4.2.3-0.1.el7.noarch

I can now switch user on welcome page when I have an active SSO token and also I can switch back to SSO login with Next-Auth button on switch user page.

Comment 11 errata-xmlrpc 2018-05-15 17:48:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:1488

Comment 12 Franta Kust 2019-05-16 13:08:46 UTC
BZ<2>Jira Resync


Note You need to log in before you can comment on or make changes to this bug.